<?php

class MailboxLocaleLang extends HordeLocaleLang {
   
   function MailboxLocaleLang () {
      $this->HordeLocaleLang();
   }

   function error ($current_mbox, $action) {
      global $lang;
      
      $action_text = $lang->$action;
      return "Schránka: $current_mbox: Chyba: $action_text zpráv selhal";
   }
   
   function success1 ($current_mbox, $action, $num, $plural = false) {
      global $lang;
      
      if ($plural) $messages = 'zpráv';
      else $messages = 'zpráva';
      
      $action_text = $lang->$action;
      return "Schránka: $current_mbox: $action_text $num $messages";
   }
   
   function success2 ($current_mbox, $targetMbox, $action, $num, $plural = false) {
      global $lang;
      
      if ($plural) $messages = 'zpráv';
      else $messages = 'zpráva';
      
      $action_text = $lang->$action;
      return "Schránka: $current_mbox: $action_text $num $messages do $targetMbox";
   }
   
   function pagenav ($page, $page_count) {
      global $this_client;
      if ($this_client == '') { $this_client = new WebClient; }

      if ($this_client->lynx) {
        return "Strana $page z $page_count";
      } else {
        $len = strlen($page_count);
        return "<input type=\"text\" name=\"strana\" value=\"$page\" size=$len> z $page_count";
      }
   }
   
   function overview ($begin, $end, $nummsgs) {
       if ($nummsgs == 0) {
         return "Žádná zpráva";
       } elseif ($nummsgs == 1) {
         return "Jedna zpráva";
       } else {
         return "zobrazeny zprávy $begin až $end z $nummsgs";
       }
   }
}


$lang = new MailboxLocaleLang();
require('./locale/cs/openwin.lang');

$lang->delete_link = 'Smazat';
$lang->undelete_link = 'Obnovit';
$lang->move_link = 'Přesunout';
$lang->copy_link = 'Zkopírovat';
$lang->selected_mail = 'vybraná pošta';

$lang->sort_by_label = 'Třídit podle';
$lang->date_label = 'Datum';
$lang->from_label = 'Od';
$lang->subject_label = 'Předmět';
$lang->size_label = 'Velikost';
$lang->to_label = 'Komu';

$lang->select_all = 'Vybrat vše';
$lang->select_none = 'Odznačit vše';
$lang->hide_deleted = 'Schovat smazané';
$lang->show_deleted = 'Zobrazit smazané';
$lang->empty_trash = 'Vyprázdnit koš';

$lang->no_subject = '[Nevyplněný předmět]';
$lang->undisclosed_recipients = 'Skrytí příjemci';
$lang->mailbox = 'Schránka';

$lang->message = 'Zpráva';
$lang->messages = 'Zprávy';

$lang->deletion = 'Mazání';
$lang->deleted = 'Smazáno';
$lang->undeletion = 'Obnovování';
$lang->undeleted = 'Obnoveno';
$lang->move = 'Přesun';
$lang->moved = 'Přesunuto';
$lang->copy = 'Kopírování';
$lang->copied = 'Zkopírováno';
$lang->expunge = 'Rušení';
$lang->expunged = 'Zrušeno';
$lang->hiding_deleted = 'Skrývám smazané zprávy';
$lang->showing_deleted = 'Zobrazuji smazané zprávy';
$lang->deleted_summary = 'smazané zprávy skryty nejsou zobrazeny';
$lang->empty_mailbox = 'V této schránce nejsou žádné dopisy.';
$lang->no_messages_selected = 'You must select at least one message first.';

$lang->reverse_sort = 'Obrátí pořadí řazení (od novějších či větších k nejstarším či nejmenším';

$lang->refresh = 'Obnovit schránku';
$lang->alert_really_delete = 'Jste si jistý, že chcete TRVALE odstranit tyto zprávy?';
$lang->first_page = 'první stránka';
$lang->prev_page = 'předchozí stránka';
$lang->next_page = 'další stránka';
$lang->last_page = 'poslední stránka';
$lang->no_mailbox_selected = 'Nejdříve musíte vybrat cílovou schránku.';
?>
